SUSE SLES12セキュリティ更新プログラム: webkit2gtk3 (SUSE-SU-2022:1677-1)

medium Nessus プラグイン ID 161238

言語:

概要

リモートの SUSE ホストに 1 つ以上のセキュリティ更新がありません。

説明

リモートの SUSE Linux SLES12ホストには、SUSE-SU-2022:1677-1のアドバイザリに記載された複数の脆弱性の影響を受けるパッケージがインストールされています。

- IndexDB API のクロスオリジンの問題が、改善された入力検証で対処されました。 この問題は、iOS 15.3、iPadOS 15.3、watchOS 8.4、tvOS 15.3、Safari 15.3、macOS Monterey 12.2で修正されています。Web サイトが、ユーザーの機密情報を追跡できる可能性があります。(CVE-2022-22594)

- メモリ管理を改善することで、メモリ解放後使用 (Use After Free ) の問題に対処しました。(CVE-2022-22624、CVE-2022-22628)

- バッファオーバーフローの問題が、メモリ処理を改善することで対処されました。(CVE-2022-22629)

- 状態管理を改善することで、ロジックの問題に対処しました。(CVE-2022-22637)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://bugzilla.suse.com/1196133

https://bugzilla.suse.com/1198290

http://www.nessus.org/u?8c909524

https://www.suse.com/security/cve/CVE-2022-22594

https://www.suse.com/security/cve/CVE-2022-22624

https://www.suse.com/security/cve/CVE-2022-22628

https://www.suse.com/security/cve/CVE-2022-22629

https://www.suse.com/security/cve/CVE-2022-22637

プラグインの詳細

深刻度: Medium

ID: 161238

ファイル名: suse_SU-2022-1677-1.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/5/17

更新日: 2022/5/17

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 4.3

Temporal Score: 3.2

ベクトル: AV:N/AC:M/Au:N/C:P/I:N/A:N

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-22594

CVSS v3

リスクファクター: Medium

Base Score: 6.5

Temporal Score: 5.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:libjavascriptcoregtk-4_0-18, p-cpe:/a:novell:suse_linux:libwebkit2gtk-4_0-37, p-cpe:/a:novell:suse_linux:libwebkit2gtk3-lang, p-cpe:/a:novell:suse_linux:typelib-1_0-JavaScriptCore-4_0, p-cpe:/a:novell:suse_linux:typelib-1_0-WebKit2-4_0, p-cpe:/a:novell:suse_linux:typelib-1_0-WebKit2WebExtension-4_0, p-cpe:/a:novell:suse_linux:webkit2gtk-4_0-injected-bundles, p-cpe:/a:novell:suse_linux:webkit2gtk3-devel, cpe:/o:novell:suse_linux:12

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/5/16

脆弱性公開日: 2022/1/26

参照情報

CVE: CVE-2022-22594, CVE-2022-22624, CVE-2022-22628, CVE-2022-22629, CVE-2022-22637

SuSE: SUSE-SU-2022:1677-1